/*
  gcd.c

  Copyright (C) 2015 Taiji Yamada <taiji@aihara.co.jp>
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <libgen.h>
#include "prime_util.h"

int usage(FILE *fp, int argc, char *argv[])
{
  (void)argc;
  fprintf(fp, "Usage:\n\t%s number number\n", basename(argv[0]));
  return fp == stderr ? 1 : 0;
}
int main(int argc, char *argv[])
{
  int a;
  huge_uint n[2], gcd;

  if (argc < 3) return usage(stderr, argc, argv);
  for (a=1; a<3; ++a)
    n[a-1] = atoll(argv[a]);

  gcd = greatest_common_divisor(n[0], n[1]);
  printf("%llu\n", gcd);
  
  return 0;
}
